SHELL=/bin/bash

#DL=USB.png Nano_cola.jpg Atben_atusb_prod_03.jpg Atben_atusb_prod_05.jpg \
#   M1_dmx_video.jpg \
#   UBB_production_08.JPG ubb-vga-pub-plugged-medium.jpg \
#   ubb-vga-pub-1024-medium.jpg SIE_KICAD.png
#GEN=schhist.png fped.png kicad.png achieve.pdf flow.pdf
GEN=schem.pdf assoc.pdf layout.pdf cat-comp.pdf cat-mod.pdf all.pdf
#PNG=atusb-front.png

.PHONY:		spotless clean upload upload-es

all:		talk.pdf
		xpdf talk.pdf

talk.pdf:	talk.tex $(GEN) $(DL) $(PNG)
		pdflatex talk

kicad.png:	eeschema.xwd pcbnew.xwd
		pnmcomp -xoff=0 -yoff=300 \
		  <(convert eeschema.xwd ppm:-) \
		  <(convert pcbnew.xwd ppm:- | \
		    pnmpad -white -left=900 -bottom=300) | \
		  convert - $@

eeschema.png:	eeschema.xwd
		convert $< $@

comped.png:	comped.xwd
		convert $< $@

cvpcb.png:	cvpcb.xwd
		convert $< $@

moded.png:	moded.xwd
		convert $< $@

pcbnew.png:	pcbnew.xwd
		convert $< $@

schem.pdf:	schem.fig eeschema.png comped.png
		fig2dev -L pdf $< $@

assoc.pdf:	assoc.fig cvpcb.png moded.png
		fig2dev -L pdf $< $@

layout.pdf:	layout.fig pcbnew.png
		fig2dev -L pdf $< $@

cat-comp.pdf:	cat-comp.fig
		fig2dev -L pdf $< $@

cat-mod.pdf:	cat-mod.fig
		fig2dev -L pdf $< $@

all.pdf:	all.fig
		fig2dev -L pdf $< $@

talk.ps:	talk.pdf
		pdftops -paper A4 -expand $< $@

p8:		talk.ps
		mpage -8 $< | lpr

spotless:
		rm -f $(DL)

clean:
		rm -f $(GEN) talk.ps

upload:		talk.pdf
		qippl talk.pdf fisl13.pdf
